package io.zipcoder.tc_spring_poll_application.controller;

import io.zipcoder.tc_spring_poll_application.domain.Vote;
import io.zipcoder.tc_spring_poll_application.domain.repositories.VoteRepository;
import io.zipcoder.tc_spring_poll_application.dtos.OptionCount;
import io.zipcoder.tc_spring_poll_application.dtos.VoteResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;

@RestController
public class ComputeResultController {

    private VoteRepository voteRepository;

    @Autowired
    public ComputeResultController(VoteRepository voteRepository) {

        this.voteRepository = voteRepository;
    }

    @RequestMapping(value = "/computeresult", method = RequestMethod.GET)

    public ResponseEntity<?> computeResult(@RequestParam Long pollId) {
        VoteResult voteResult = new VoteResult();
        voteResult.setResults(new ArrayList<OptionCount>());
        Iterable<Vote> allVotes = voteRepository.findVotesByPoll(pollId);
        for(Vote vote : allVotes){
                       OptionCount optionCount = new OptionCount();
                       optionCount.setCount(1);
                     optionCount.setOptionId(vote.getOption().getId());

                                if(voteResult.getOptionCount(optionCount) != null){
                               OptionCount optionCount1 = voteResult.getOptionCount(optionCount);
                             int amount = optionCount1.getCount();
                              amount = amount + 1;
                               optionCount1.setCount(amount);
                             int votes = voteResult.getTotalVotes();
                            votes = votes + 1;
                           voteResult.setTotalVotes(votes);
                        } else {
                              voteResult.addOptionCount(optionCount);
                              voteResult.setTotalVotes(1);
                        }
                  }

                       return new ResponseEntity<VoteResult>(voteResult, HttpStatus.OK);
         }



}