package io.zipcoder.tc_spring_poll_application.domain;

import javax.persistence.*;

/*
 Create an `Option` class in the `domain` sub-package.
* `Option` class signature is annotated with `@Entity`
* `Option` has an `id` instance variable of type `Long`
	* `id` should be `annotated` with
		* `@Id`
			* denotes primary key of this entity
		* `@GeneratedValue`
			* configures the way of increment of the specified `column(field)`
		* `@Column(name = "OPTION_ID")`
			* specifies mapped column for a persistent property or field
			* without `@Column` specified, the framework assumes the field's variable-name is the persistent property name.

* `Option` has a `value` instance variable of type `String`
	* `value` should be `annotated` with
		* `@Column(name = "OPTION_VALUE")`

* Create a `getter` and `setter` for each of the respective instance variables.
 */
@Entity
public class Option {

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY )
    @Column(name="OPTION_ID")
   private long id;

    @Column(name = "OPTION_VALUE")
    private  String value;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
