package io.zipcoder.tc_spring_poll_application.domain;

import org.hibernate.validator.constraints.NotEmpty;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.util.Set;

/*
Create a `Poll` class in the `domain` sub-package.
* `Poll` class signature is annotated with `@Entity`
* `Poll` has an `id` instance variable of type `Long`
	* `id` should be `annotated` with
		* `@Id`
		* `@GeneratedValue`
		* `Column(name = "POLL_ID")`

* `Poll` has a `question` instance variable of type `String`
	* `question` should be `annotated` with
		* `@Column(name = "QUESTION")`

* `Poll` has an `options` instance variable of type `Set` of `Option`
	* `options` should be `annotated` with
		* `@OneToMany(cascade = CascadeType.ALL)`
		* `@JoinColumn(name = "POLL_ID")`
		* `@OrderBy`

* Create a `getter` and `setter` for each of the respective instance variables.
 */
@Entity
public class Poll {


    @Id
    @GeneratedValue
    @Column(name="POLL_ID")

   private long id;
    @Column(name = "QUESTION")

   private  String question;

    @OneToMany(cascade = CascadeType.ALL)
		 @JoinColumn(name = "POLL_ID")
		@OrderBy
       @Size(min=2,max=6)
      private  Set<Option> options;


    public long getId() {

        return id;
    }

    public void setId(long id) {

        this.id = id;
    }

    public String getQuestion() {

        return question;
    }
    @NotEmpty

    public void setQuestion(String question) {

        this.question = question;
    }

    public Set<Option> getOptions() {
        return options;
    }

    public void setOptions(Set<Option> options) {
        this.options = options;
    }


}
