package io.zipcoder.tc_spring_poll_application.domain;

import javax.persistence.*;

/*
Create a `Vote` class in the `domain` sub-package.
* `Vote` class signature is annotated with `@Entity`
* `Vote` has an `id` instance variable of type `Long`
	* `id` should be `annotated` with
		* `@Id`
		* `@GeneratedValue`
		* `Column(name = "VOTE_ID")`

* `Vote` has a `option` instance variable of type `Option`
	* `option` should be `annotated` with
		* `@ManyToOne`
		* `@JoinColumn(name = "OPTION_ID")`

* Create a `getter` and `setter` for each of the respective instance variables.


 */
@Entity
public class Vote {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO )
    @Column (name="VOTE_ID")
    private Long id;

    @ManyToOne
            @JoinColumn (name="OPTION_ID")
    private Option option;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Option getOption() {
        return option;
    }

    public void setOption(Option option) {
        this.option = option;
    }
}
